Skip to content
Last updated

title: Create Pricing Tier keywords:

  • create pricing tier
  • post
  • create
  • pricing
  • tier

Create a new pricing tier.

POSThttps://api.aitronos.com/v1/pricing-tiers

Request Body

id string required

Tier ID (e.g., tier_custom)

name string required

Tier name

description string optional

Tier description

discount_percentage number required

Discount percentage (0-100)

is_active boolean optional ยท Defaults to true

Whether tier is active


Returns

id string

Id

name string

Name

description string or null

Description

discount_percentage number

Discount Percentage

is_active boolean

Is Active

created_at string

Created At

updated_at string

Updated At

cURL
curl -X POST "https://api.aitronos.com/v1/pricing-tiers" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "your_id",
  "name": "your_name",
  "discount_percentage": "your_discount_percentage"
}'

Response:

201 OK
{
  "id": "abc123def456",
  "name": "My Resource",
  "description": "A description of the resource",
  "discount_percentage": 0.95,
  "is_active": true,
  "created_at": "2025-11-15T10:30:00Z",
  "updated_at": "2025-11-15T10:30:00Z"
}